#pragma once

#include "Panel.h"
#include "PanelScriptletPlugin.h"
#include "ScriptletContainerFactory.h"
#include "ImageProxy.h"
#include "NBinaryResourceLoader.h"

class NPCOMMONUI_API CWindowDragBar : public CNControl
{
public:
	CWindowDragBar(void);
	virtual ~CWindowDragBar(void);


	void OnLButtonDown(UINT nFlags, CPoint point);
};

class NPCOMMONUI_API CWindowDragBarScriptletPlugin : public CPanelScriptletPlugin
{
public:
	DECLARE_REGISTER_SCRIPTLETCOMPONENTPLUGIN_CREATOR(CWindowDragBarScriptletPlugin);
	CWindowDragBarScriptletPlugin(void) {}
	virtual ~CWindowDragBarScriptletPlugin(void) {}

	//override
	CComponent* _CreateComponent(TiXmlElement* pNode) { return new CWindowDragBar; }
};
